Bug 185462 - [PATCH] graphics/ImageMagick update to 6.8.8-1
[PATCH] graphics/ImageMagick update to 6.8.8-1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Koop Mast
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-04 08:30 UTC by c.petrik.sosa
Modified: 2014-07-06 12:17 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2014-01-04 08:30:05 UTC
1. Update to 6.8.8-1
2. Remove PerlMagick as default as it's broken various people on:http://www.imagemagick.org/discourse-server/viewforum.php?f=7&sid=b5596d2bbecf49db8100269f9f953150 have also complained about broken PerlMagick
3. Remove me as maintainer as I no longer have time to put up with IM's 500 releases in a month.
4. No staging porting.
5. remove fourier patch as it was to fix something in 7.x which is now EOL

Fix: 

http://www.bsdjunk.com:8080/exp/vpatch?from=4460e6f35afc1425&to=88be583f659aa720
Comment 1 dfilter freebsd_committer 2014-01-06 18:32:25 UTC
Author: rakuco
Date: Mon Jan  6 18:32:16 2014
New Revision: 338918
URL: http://svnweb.freebsd.org/changeset/ports/338918

Log:
  From the PR:
  
    1. Update to 6.8.8-1
    2. Remove PerlMagick as default as it's broken various people on:
       http://www.imagemagick.org/discourse-server/viewforum.php?f=7&sid=b5596d2bbecf49db8100269f9f953150
       have also complained about broken PerlMagick
    3. Remove me as maintainer as I no longer have time to put up with IM's
       500 releases in a month.
    4. remove fourier patch as it was to fix something in 7.x which is now EOL
  
  PR:		ports/185462
  Submitted by:	chris petrik <c.petrik.sosa@gmail.com> (maintainer)

Deleted:
  head/graphics/ImageMagick/files/patch-magick-fourier.c
Modified:
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick/distinfo
  head/graphics/ImageMagick/files/patch-configure
  head/graphics/ImageMagick/pkg-plist

Modified: head/graphics/ImageMagick/Makefile
==============================================================================
--- head/graphics/ImageMagick/Makefile	Mon Jan  6 18:11:15 2014	(r338917)
+++ head/graphics/ImageMagick/Makefile	Mon Jan  6 18:32:16 2014	(r338918)
@@ -1,8 +1,8 @@
 # $FreeBSD$
 
 PORTNAME=	ImageMagick
-DISTVERSION=	6.8.0-7
-PORTREVISION=	3
+#PORTREVISION=	1
+DISTVERSION=	6.8.8-1
 CATEGORIES=	graphics perl5
 MASTER_SITES=	http://www.imagemagick.org/download/ \
 		http://servingzone.com/mirrors/ImageMagick/ \
@@ -27,21 +27,23 @@ MASTER_SITES=	http://www.imagemagick.org
 		ftp://ftp.is.co.za/pub/imagemagick/ \
 		ftp://ftp.fifi.org/pub/ImageMagick/
 
-MAINTAINER=	c.petrik.sosa@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Image processing tools
 
-LICENSE=	APACHE20
+LICENSE_NAME=	APACHE20
 
 USES=		pkgconfig:both pathfix perl5
 USE_XZ=		yes
-USE_PERL5=	run build patch
+USE_PERL5=	run build patch install
 WANT_GNOME=	yes
 USE_AUTOTOOLS=	libltdl
 NO_STAGE=	yes
 # For some reason, using our libtool breaks the build into pieces:
 #USE_AUTOTOOLS+=	libtool
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-shared --without-dps --without-lcms
+CONFIGURE_ARGS=	--enable-shared \
+		--without-dps \
+		--without-lcms
 USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 
@@ -60,8 +62,9 @@ OPTIONS_DEFINE=	16BIT_PIXEL BZIP2 DOCS D
 		OPENEXR OPENMP PANGO PDF PERL PNG SVG TESTS TIFF WEBP WMF \
 		THREADS
 OPTIONS_DEFAULT=	16BIT_PIXEL BZIP2 FFTW FONTCONFIG FPX FREETYPE \
-		JASPER JBIG JPEG LCMS2 LZMA LQR MODULES PDF PERL PNG SVG \
-		TIFF WEBP WMF
+		JASPER JBIG JPEG LCMS2 LZMA LQR MODULES PDF PNG SVG TIFF \
+		WEBP WMF THREADS
+
 16BIT_PIXEL_DESC=	16bit pixel support
 DJVU_DESC=		DJVU format support (needs THREADS)
 GSLIB_DESC=		libgs (Postscript SHLIB) support
@@ -92,7 +95,7 @@ CONFIGURE_ARGS+=	--with-perl=${PERL5}
 PLIST_SUB+=		WITH_PERL=''
 MAN3=			Image::Magick.3
 MAN3PREFIX=		${PREFIX}/lib/perl5/${PERL_VER}
-# PerlMagick not works with threads, if perl is not threaded, and vice versa
+# PerlMagick does not work with threads, if perl is not threaded, and vice versa
 . if defined(PERL_THREADED)
 _IMAGEMAGICK_THREADS_PERL_MSG=Perl is threaded
 _IMAGEMAGICK_THREADS=yes
@@ -421,6 +424,8 @@ pre-configure:
 post-install: test
 .if ${PORT_OPTIONS:MPERL}
 	@${RM} -f ${PREFIX}/lib/perl5/${PERL_VER}/mach/perllocal.pod
+	${REINPLACE_CMD} '303 s/EXTRALIBS =/EXTRALIBS = -L${LOCALBASE}/lib/perl5/${PERL_VER}/mach/CORE/g' \
+		${WRKSRC}/PerlMagick/Makefile
 .endif
 .if ${PORT_OPTIONS:MMODULES}
 . if ${PORT_OPTIONS:M16BIT_PIXEL}

Modified: head/graphics/ImageMagick/distinfo
==============================================================================
--- head/graphics/ImageMagick/distinfo	Mon Jan  6 18:11:15 2014	(r338917)
+++ head/graphics/ImageMagick/distinfo	Mon Jan  6 18:32:16 2014	(r338918)
@@ -1,2 +1,2 @@
-SHA256 (ImageMagick-6.8.0-7.tar.xz) = e15672c8c11148bcfcd95885e1cd7a5575d4a6984bdf0a3a1c718a2a6ad37435
-SIZE (ImageMagick-6.8.0-7.tar.xz) = 8245624
+SHA256 (ImageMagick-6.8.8-1.tar.xz) = 1ce766720e07c61a9993c3c226425d8b1b7a18fd8ffb1841c2380a7d622c107b
+SIZE (ImageMagick-6.8.8-1.tar.xz) = 7527812

Modified: head/graphics/ImageMagick/files/patch-configure
==============================================================================
--- head/graphics/ImageMagick/files/patch-configure	Mon Jan  6 18:11:15 2014	(r338917)
+++ head/graphics/ImageMagick/files/patch-configure	Mon Jan  6 18:32:16 2014	(r338918)
@@ -1,11 +1,38 @@
---- configure.orig	2012-05-16 09:58:45.571776589 +0200
-+++ configure	2012-05-16 09:58:54.042776583 +0200
-@@ -32626,7 +32626,7 @@
+--- configure.bak	2014-01-04 06:01:26.000000000 +0000
++++ configure	2014-01-04 06:14:09.000000000 +0000
+@@ -32502,7 +32502,7 @@
+ #
+ 
+ # Path to ImageMagick header files
+-INCLUDE_RELATIVE_PATH="${PACKAGE_NAME}-${MAGICK_MAJOR_VERSION}"
++INCLUDE_RELATIVE_PATH="${PACKAGE_NAME}"
+ INCLUDE_PATH="${INCLUDE_DIR}/${INCLUDE_RELATIVE_PATH}"
+ DEFINE_INCLUDE_PATH="${INCLUDE_DIR}/${INCLUDE_RELATIVE_PATH}/"
+ case "${build_os}" in
+@@ -32656,7 +32656,7 @@
  
  #
  # Path to ImageMagick documentation files
--DOCUMENTATION_RELATIVE_PATH="${PACKAGE_NAME}-${PACKAGE_VERSION}"
+-DOCUMENTATION_RELATIVE_PATH="${PACKAGE_NAME}-${MAGICK_MAJOR_VERSION}"
 +DOCUMENTATION_RELATIVE_PATH="${PACKAGE_NAME}"
  DOCUMENTATION_PATH="${DOC_DIR}/${DOCUMENTATION_RELATIVE_PATH}"
  DEFINE_DOCUMENTATION_PATH="${DOC_DIR}/${DOCUMENTATION_RELATIVE_PATH}/"
  case "${build_os}" in
+@@ -32672,7 +32672,7 @@
+ 
+ 
+ # Subdirectory to place architecture-dependent configuration files
+-CONFIGURE_RELATIVE_PATH="${PACKAGE_NAME}-${MAGICK_MAJOR_VERSION}"
++CONFIGURE_RELATIVE_PATH="${PACKAGE_NAME}"
+ 
+ cat >>confdefs.h <<_ACEOF
+ #define CONFIGURE_RELATIVE_PATH "$CONFIGURE_RELATIVE_PATH"
+@@ -32693,7 +32693,7 @@
+ 
+ 
+ # Subdirectory to place architecture-independent configuration files
+-SHARE_RELATIVE_PATH="${PACKAGE_NAME}-${MAGICK_MAJOR_VERSION}"
++SHARE_RELATIVE_PATH="${PACKAGE_NAME}"
+ 
+ cat >>confdefs.h <<_ACEOF
+ #define SHARE_RELATIVE_PATH "$SHARE_RELATIVE_PATH"

Modified: head/graphics/ImageMagick/pkg-plist
==============================================================================
--- head/graphics/ImageMagick/pkg-plist	Mon Jan  6 18:11:15 2014	(r338917)
+++ head/graphics/ImageMagick/pkg-plist	Mon Jan  6 18:32:16 2014	(r338918)
@@ -133,6 +133,10 @@ include/ImageMagick/magick/version.h
 include/ImageMagick/magick/widget.h
 include/ImageMagick/magick/xml-tree.h
 include/ImageMagick/magick/xwindow.h
+include/ImageMagick/magick/studio.h
+include/ImageMagick/magick/opencl.h
+include/ImageMagick/magick/distribute-cache.h
+include/ImageMagick/magick/magick-baseconfig.h
 include/ImageMagick/wand/MagickWand.h
 include/ImageMagick/wand/deprecate.h
 include/ImageMagick/wand/drawing-wand.h
@@ -155,7 +159,7 @@ include/ImageMagick/wand/pixel-iterator.
 include/ImageMagick/wand/pixel-wand.h
 include/ImageMagick/wand/stream.h
 include/ImageMagick/wand/wand-view.h
-lib/ImageMagick-%%PORTVERSION%%/config/configure.xml
+lib/ImageMagick-%%PORTVERSION%%/config-%%QBIT%%/configure.xml
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/.keep
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/aai.la
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/aai.so
@@ -391,35 +395,45 @@ lib/ImageMagick-%%PORTVERSION%%/config/c
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/ycbcr.so
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/yuv.la
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/yuv.so
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/rgf.so
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/rgf.la
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/mask.so
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/mask.la
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/filters/.keep
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/filters/analyze.la
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/filters/analyze.so
-lib/libMagick++.a
-lib/libMagick++.la
-lib/libMagick++.so
-lib/libMagick++.so.6
-lib/libMagickCore.a
-lib/libMagickCore.la
-lib/libMagickCore.so
-lib/libMagickCore.so.6
-lib/libMagickWand.a
-lib/libMagickWand.la
-lib/libMagickWand.so
-lib/libMagickWand.so.6
+lib/libMagick++-6.%%QBIT%%.a
+lib/libMagick++-6.%%QBIT%%.la
+lib/libMagick++-6.%%QBIT%%.so
+lib/libMagick++-6.%%QBIT%%.so.3
+lib/libMagickCore-6.%%QBIT%%.a
+lib/libMagickCore-6.%%QBIT%%.la
+lib/libMagickCore-6.%%QBIT%%.so
+lib/libMagickCore-6.%%QBIT%%.so.1
+lib/libMagickWand-6.%%QBIT%%.a
+lib/libMagickWand-6.%%QBIT%%.la
+lib/libMagickWand-6.%%QBIT%%.so
+lib/libMagickWand-6.%%QBIT%%.so.1
+libdata/pkgconfig/ImageMagick++-6.%%QBIT%%.pc
 libdata/pkgconfig/ImageMagick++.pc
+libdata/pkgconfig/Magick++-6.%%QBIT%%.pc
 libdata/pkgconfig/Magick++.pc
+libdata/pkgconfig/ImageMagick-6.%%QBIT%%.pc
 libdata/pkgconfig/ImageMagick.pc
+libdata/pkgconfig/MagickCore-6.%%QBIT%%.pc
 libdata/pkgconfig/MagickCore.pc
+libdata/pkgconfig/MagickWand-6.%%QBIT%%.pc
 libdata/pkgconfig/MagickWand.pc
+libdata/pkgconfig/Wand-6.%%QBIT%%.pc
 libdata/pkgconfig/Wand.pc
 %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/Image/Magick.pm
 %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/Magick/.packlist
 %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/Magick/Magick.bs
 %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/Magick/Magick.so
 %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/Magick/autosplit.ix
-%%DATADIR%%-%%PORTVERSION%%/english.xml
-%%DATADIR%%-%%PORTVERSION%%/francais.xml
-%%DATADIR%%-%%PORTVERSION%%/locale.xml
+%%DATADIR%%/english.xml
+%%DATADIR%%/francais.xml
+%%DATADIR%%/locale.xml
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/NEWS.txt
@@ -574,7 +588,13 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/advanced-unix-installation.html
 %%PORTDOCS%%%%DOCSDIR%%/www/advanced-windows-installation.html
 %%PORTDOCS%%%%DOCSDIR%%/www/animate.html
+%%PORTDOCS%%%%DOCSDIR%%/www/openmp.html
+%%PORTDOCS%%%%DOCSDIR%%/www/webp.html
+%%PORTDOCS%%%%DOCSDIR%%/www/distribute-pixel-cache.html
+%%PORTDOCS%%%%DOCSDIR%%/www/color-management.html
+%%PORTDOCS%%%%DOCSDIR%%/www/support.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/mime.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/MagickCore/ImageMagick_8h-source.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/MagickCore/ImageMagick_8h.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/MagickCore/MagickCore_8h-source.html
@@ -1328,7 +1348,6 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/api/morphology.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/paint.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-iterator.html
-%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-view.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-wand.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/profile.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/property.html
@@ -1348,7 +1367,6 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/architecture.html
 %%PORTDOCS%%%%DOCSDIR%%/www/binary-releases.html
 %%PORTDOCS%%%%DOCSDIR%%/www/changelog.html
-%%PORTDOCS%%%%DOCSDIR%%/www/channel.html
 %%PORTDOCS%%%%DOCSDIR%%/www/cipher.html
 %%PORTDOCS%%%%DOCSDIR%%/www/color.html
 %%PORTDOCS%%%%DOCSDIR%%/www/command-line-options.html
@@ -1384,11 +1402,9 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/magick-wand.html
 %%PORTDOCS%%%%DOCSDIR%%/www/magick.css
 %%PORTDOCS%%%%DOCSDIR%%/www/miff.html
-%%PORTDOCS%%%%DOCSDIR%%/www/mirrors.html
 %%PORTDOCS%%%%DOCSDIR%%/www/mogrify.html
 %%PORTDOCS%%%%DOCSDIR%%/www/montage.html
 %%PORTDOCS%%%%DOCSDIR%%/www/motion-picture.html
-%%PORTDOCS%%%%DOCSDIR%%/www/parallel.html
 %%PORTDOCS%%%%DOCSDIR%%/www/perl-magick.html
 %%PORTDOCS%%%%DOCSDIR%%/www/porting.html
 %%PORTDOCS%%%%DOCSDIR%%/www/quantize.html
@@ -1409,7 +1425,6 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/source/locale.xml
 %%PORTDOCS%%%%DOCSDIR%%/www/source/log.xml
 %%PORTDOCS%%%%DOCSDIR%%/www/source/magic.xml
-%%PORTDOCS%%%%DOCSDIR%%/www/source/mgk.c
 %%PORTDOCS%%%%DOCSDIR%%/www/source/mime.xml
 %%PORTDOCS%%%%DOCSDIR%%/www/source/piechart.mvg
 %%PORTDOCS%%%%DOCSDIR%%/www/source/piechart.svg
@@ -1433,14 +1448,14 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/images/patterns
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/images
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm %%DATADIR%%-%%PORTVERSION%%
+@dirrm %%DATADIR%%
 %%WITH_PERL%%@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/Magick
 %%WITH_PERL%%@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image
 %%WITH_PERL%%@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Image
 @dirrmtry lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/filters
 @dirrmtry lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders
 @dirrmtry lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%
-@dirrmtry lib/ImageMagick-%%PORTVERSION%%/config
+@dirrmtry lib/ImageMagick-%%PORTVERSION%%/config-%%QBIT%%
 @dirrmtry lib/ImageMagick-%%PORTVERSION%%
 @dirrm include/ImageMagick/wand
 @dirrm include/ImageMagick/magick
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-01-06 18:32:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 Koop Mast freebsd_committer 2014-02-06 09:50:50 UTC
State Changed
From-To: closed->open

Update was reverted, so reopen PR. Also adopted ImageMagick so grab it. 


Comment 4 Koop Mast freebsd_committer 2014-02-06 09:50:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Update was reverted, so reopen PR. Also adopted ImageMagick so grab it.
Comment 5 Koop Mast freebsd_committer 2014-06-17 20:21:10 UTC
Updated to 6.8.9-3 in http://svnweb.freebsd.org/ports?view=revision&revision=358176
Comment 7 commit-hook freebsd_committer 2014-07-06 12:16:22 UTC
A commit references this bug:

Author: kwm
Date: Sun Jul  6 12:16:06 UTC 2014
New revision: 360886
URL: http://svnweb.freebsd.org/changeset/ports/360886

Log:
  Reenable PERL option by default, this will unbreak the build of WebMagick.
  This was lost in the 6.8.0.7 update to 6.8.9.3.

  PR:		185462
  Reported by:	marino@

Changes:
  head/graphics/ImageMagick/Makefile
Comment 8 Koop Mast freebsd_committer 2014-07-06 12:17:21 UTC
Fixed the WebMagick build issue.